Docker Community Forums

Share and learn in the Docker community.

Docker compatibility among Docker 1.12.6 and 19.03.5CE

We are using DOcker 1.12.6 to build docker images. we are using redhat EE 7.
Client:
Version: 1.12.6
API version: 1.24
Go version: go1.6.4
Git commit: 78d1802
Built: Tue Jan 10 20:20:01 2017
OS/Arch: linux/amd64

Server:
Version: 1.12.6
API version: 1.24
Go version: go1.6.4
Git commit: 78d1802
Built: Tue Jan 10 20:20:01 2017
OS/Arch: linux/amd64

But we want to upgrade the docker engine to 19.03.5 CE in target hosts.

Any compatibility issue?